%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		uniconvertor
Version:	1.1.4
Release:	1
BuildArch:	i686
Summary:	UniConvertor is a universal vector graphics translator.
Group:		Development/Languages
License:	GNU/GPL
URL:		http://sk1project.org
Source0:	http://sk1project.org/downloads/uniconvertor/v1.1.4/uniconvertor-1.1.4.tar.gz
# Manual build dependencies
BuildRequires: python26-pil-devel
BuildRequires: python26-reportlab

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: python26-devel

%description
UniConvertor is a universal vector graphics translator.
It uses sK1 engine to convert one format to another.

Import filters:
* CorelDRAW ver.7-X3,X4 (CDR/CDT/CCX/CDRX/CMX)
* Adobe Illustrator up to 9 ver. (AI postscript based)
* Postscript (PS)
* Encapsulated Postscript (EPS)
* Computer Graphics Metafile (CGM)
* Windows Metafile (WMF)
* XFIG
* Scalable Vector Graphics (SVG)
* Skencil/Sketch/sK1 (SK and SK1)
* Acorn Draw (AFF)

Export filters:
* AI (Postscript based Adobe Illustrator 5.0 format)
* SVG (Scalable Vector Graphics)
* SK (Sketch/Skencil format)
* SK1 (sK1 format)
* CGM (Computer Graphics Metafile)
* WMF (Windows Metafile)
* PDF - Portable Document Format
* PS  - PostScript

%prep
%setup -q -n UniConvertor-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%_bindir/uniconv
%{python_sitearch}

%changelog
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 1.1.4-1
- Version update
* Sat Feb 28 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.3-1
- Initial release
